<?php
/**
 * SEO Digital Marketing functions and definitions
 *
 * @subpackage SEO Digital Marketing
 * @since 1.0
 */

// theme setup
function seo_digital_marketing_setup() {
	add_theme_support( 'woocommerce' );
	add_theme_support( "align-wide" );
	add_theme_support( "wp-block-styles" );
	add_theme_support( 'automatic-feed-links' );
	add_theme_support( 'post-thumbnails' );
	add_theme_support( "responsive-embeds" );
	add_theme_support( 'title-tag' );
	add_theme_support('custom-background',array(
		'default-color' => 'ffffff',
	));
	add_image_size( 'seo-digital-marketing-featured-image', 2000, 1200, true );
	add_image_size( 'seo-digital-marketing-thumbnail-avatar', 100, 100, true );

	load_theme_textdomain( 'seo-digital-marketing', get_template_directory() . '/languages' );

	$GLOBALS['content_width'] = 525;
	register_nav_menus( array(
		'primary' => __( 'Primary Menu', 'seo-digital-marketing' ),
	) );

	add_theme_support( 'html5', array(
		'comment-form',
		'comment-list',
		'gallery',
		'caption',
	) );

	// Add theme support for Custom Logo.
	add_theme_support( 'custom-logo', array(
		'width'       => 250,
		'height'      => 250,
		'flex-width'  => true,
		'flex-height' => true,
	) );

	// Add theme support for selective refresh for widgets.
	add_theme_support( 'customize-selective-refresh-widgets' );
	/*
	 * Enable support for Post Formats.
	 *
	 * See: https://codex.wordpress.org/Post_Formats
	 */
	add_theme_support( 'post-formats', array('image','video','gallery','audio','quote',) );
	/*
	 * This theme styles the visual editor to resemble the theme style,
	 * specifically font, colors, and column width.
 	 */
	add_editor_style( array( 'assets/css/editor-style.css' ) );

	if ( ! defined( 'SEO_DIGITAL_MARKETING_SUPPORT' ) ) {
	define('SEO_DIGITAL_MARKETING_SUPPORT',__('https://wordpress.org/support/theme/seo-digital-marketing','seo-digital-marketing'));
	}
	if ( ! defined( 'SEO_DIGITAL_MARKETING_REVIEW' ) ) {
		define('SEO_DIGITAL_MARKETING_REVIEW',__('https://wordpress.org/support/theme/seo-digital-marketing/reviews/#new-post','seo-digital-marketing'));
	}
	if ( ! defined( 'SEO_DIGITAL_MARKETING_LIVE_DEMO' ) ) {
		define('SEO_DIGITAL_MARKETING_LIVE_DEMO',__('https://trial.ovationthemes.com/seo-digital-marketing/','seo-digital-marketing'));
	}
	if ( ! defined( 'SEO_DIGITAL_MARKETING_BUY_PRO' ) ) {
		define('SEO_DIGITAL_MARKETING_BUY_PRO',__('https://www.ovationthemes.com/products/digital-marketing-wordpress-theme','seo-digital-marketing'));
	}
	if ( ! defined( 'SEO_DIGITAL_MARKETING_PRO_DOC' ) ) {
		define('SEO_DIGITAL_MARKETING_PRO_DOC',__('https://trial.ovationthemes.com/docs/ot-seo-digital-marketing-pro-doc/','seo-digital-marketing'));
	}
	if ( ! defined( 'SEO_DIGITAL_MARKETING_FREE_DOC' ) ) {
	define('SEO_DIGITAL_MARKETING_FREE_DOC',__('https://trial.ovationthemes.com/docs/ot-seo-digital-marketing-free-doc/','seo-digital-marketing'));
	}
	if ( ! defined( 'SEO_DIGITAL_MARKETING_THEME_NAME' ) ) {
		define('SEO_DIGITAL_MARKETING_THEME_NAME',__('Premium SEO Theme','seo-digital-marketing'));
	}
	if ( ! defined( 'SEO_DIGITAL_MARKETING_BUNDLE_LINK' ) ) {
	define('SEO_DIGITAL_MARKETING_BUNDLE_LINK',__('https://www.ovationthemes.com/products/wordpress-bundle','seo-digital-marketing'));
	}
	require get_template_directory() . '/inc/dashboard/dashboard-settings.php';
}
add_action( 'after_setup_theme', 'seo_digital_marketing_setup' );

//woocommerce//
//shop page no of columns
function seo_digital_marketing_woocommerce_loop_columns() {
	
	$retrun = get_theme_mod( 'seo_digital_marketing_archieve_item_columns', 3 );
    
    return $retrun;
}
add_filter( 'loop_shop_columns', 'seo_digital_marketing_woocommerce_loop_columns' );
function seo_digital_marketing_woocommerce_products_per_page() {

		$retrun = get_theme_mod( 'seo_digital_marketing_archieve_shop_perpage', 6 );
    
    return $retrun;
}
add_filter( 'loop_shop_per_page', 'seo_digital_marketing_woocommerce_products_per_page' );
// related products
function seo_digital_marketing_related_products_args( $args ) {
    $defaults = array(
        'posts_per_page' => get_theme_mod( 'seo_digital_marketing_related_shop_perpage', 3 ),
        'columns'        => get_theme_mod( 'seo_digital_marketing_related_item_columns', 3),
    );

    $args = wp_parse_args( $defaults, $args );

    return $args;
}
add_filter( 'woocommerce_output_related_products_args', 'seo_digital_marketing_related_products_args' );

// breadcrumb seperator
function seo_digital_marketing_woocommerce_breadcrumb_separator($seo_digital_marketing_defaults) {
    $seo_digital_marketing_separator = get_theme_mod('woocommerce_breadcrumb_separator', ' / ');

    // Update the separator
    $seo_digital_marketing_defaults['delimiter'] = $seo_digital_marketing_separator;

    return $seo_digital_marketing_defaults;
}
add_filter('woocommerce_breadcrumb_defaults', 'seo_digital_marketing_woocommerce_breadcrumb_separator');

//add animation class
if ( class_exists( 'WooCommerce' ) ) { 
	add_filter('post_class', function($seo_digital_marketing_classes, $class, $product_id) {
	    if( is_shop() || is_product_category() ){
	        
	        $seo_digital_marketing_classes = array_merge(['wow','zoomIn'], $seo_digital_marketing_classes);
	    }
	    return $seo_digital_marketing_classes;
	},10,3);
}

//woocommerce-end//

// Get start function

// Enqueue scripts and styles
function seo_digital_marketing_enqueue_admin_script($hook) {
    // Admin JS
    wp_enqueue_script('seo-digital-marketing-admin-js', get_theme_file_uri('/assets/js/seo-digital-marketing-admin.js'), array('jquery'), true);
    wp_localize_script(
		'seo-digital-marketing-admin-js',
		'seo_digital_marketing',
		array(
			'admin_ajax'	=>	admin_url('admin-ajax.php'),
			'wpnonce'			=>	wp_create_nonce('seo_digital_marketing_dismissed_notice_nonce')
		)
	);
	wp_enqueue_script('seo-digital-marketing-admin-js');

    wp_localize_script( 'seo-digital-marketing-admin-js', 'seo_digital_marketing_scripts_localize',
        array( 'ajax_url' => admin_url( 'admin-ajax.php' ) )
    );
}
add_action('admin_enqueue_scripts', 'seo_digital_marketing_enqueue_admin_script');

//dismiss function 
add_action( 'wp_ajax_seo_digital_marketing_dismissed_notice_handler', 'seo_digital_marketing_ajax_notice_dismiss_fuction' );

function seo_digital_marketing_ajax_notice_dismiss_fuction() {
	if (!wp_verify_nonce($_POST['wpnonce'], 'seo_digital_marketing_dismissed_notice_nonce')) {
		exit;
	}
    if ( isset( $_POST['type'] ) ) {
        $type = sanitize_text_field( wp_unslash( $_POST['type'] ) );
        update_option( 'dismissed-' . $type, TRUE );
    }
}

function seo_digital_marketing_excerpt_enabled(){
	if(get_theme_mod('seo_digital_marketing_blog_meta_content') == 'Excerpt Content' ) {
		return true;
	}
	return false;
}

/* Excerpt Limit Begin */
function seo_digital_marketing_string_limit_words($string, $word_limit) {
    $words = explode(' ', $string, ($word_limit + 1));
    if(count($words) > $word_limit)
    array_pop($words);
    return implode(' ', $words);
}

//get start box
function seo_digital_marketing_custom_admin_notice() {
    // Check if the notice is dismissed
    if ( ! get_option('dismissed-get_started_notice', FALSE ) )  {
        // Check if not on the theme documentation page
        $seo_digital_marketing_current_screen = get_current_screen();
        $seo_digital_marketing_theme = wp_get_theme();
        $seo_digital_marketing_theme_name = strtolower( preg_replace( '#[^a-zA-Z]#', '', $seo_digital_marketing_theme->get( 'Name' ) ) );
		$seo_digital_marketing_demo_page_slug = apply_filters( $seo_digital_marketing_theme_name . '_theme_setup_wizard_seo_digital_marketing_page_slug', $seo_digital_marketing_theme_name . '-wizard' );
		$seo_digital_marketing_expected_screen_id = 'appearance_page_' . $seo_digital_marketing_demo_page_slug;
        if ( $seo_digital_marketing_current_screen && $seo_digital_marketing_current_screen->id !== $seo_digital_marketing_expected_screen_id ) { ?>
            <div class="notice notice-info is-dismissible" data-notice="get_started_notice">
                <div class="notice-div">
                    <div>
                        <p class="theme-name"><?php echo esc_html($seo_digital_marketing_theme->get('Name')); ?></p>
                        <p><?php _e('For information and detailed instructions, check out our theme documentation.', 'seo-digital-marketing'); ?></p>
                    </div>
                    <div class="notice-buttons-box">
                        <a class="button-primary livedemo" href="<?php echo esc_url( SEO_DIGITAL_MARKETING_LIVE_DEMO ); ?>" target="_blank"><?php esc_html_e('Live Demo', 'seo-digital-marketing'); ?></a>
                        <a class="button-primary buynow" href="<?php echo esc_url( SEO_DIGITAL_MARKETING_BUY_PRO ); ?>" target="_blank"><?php esc_html_e('Get Pro Theme', 'seo-digital-marketing'); ?></a>
                        <a class="button-primary theme-install" href="<?php echo esc_url( 'themes.php?page=' . $seo_digital_marketing_demo_page_slug ); ?>"><?php _e( 'Begin Installation', 'seo-digital-marketing' ); ?></a>
                    </div>
                </div>
            </div>
        <?php
        }
    }
}
add_action('admin_notices', 'seo_digital_marketing_custom_admin_notice');

//after switch theme
add_action('after_switch_theme', 'seo_digital_marketing_after_switch_theme');
function seo_digital_marketing_after_switch_theme () {
    update_option('dismissed-get_started_notice', FALSE );
}
//get-start-function-end//

// tag count
function seo_digital_marketing_display_post_tag_count() {
    $seo_digital_marketing_tags = get_the_tags();
    $seo_digital_marketing_tag_count = ($seo_digital_marketing_tags) ? count($seo_digital_marketing_tags) : 0;
    $seo_digital_marketing_tag_text = ($seo_digital_marketing_tag_count === 1) ? 'tag' : 'tags';
    echo $seo_digital_marketing_tag_count . ' ' . $seo_digital_marketing_tag_text;
}

// Date formatting
function seo_digital_marketing_display_shop_date() {
    // Get the date type option
    $seo_digital_marketing_date_type = get_theme_mod( 'seo_digital_marketing_date_type', 'published' );

    // Determine the date to display based on the type
    if ( $seo_digital_marketing_date_type === 'modified' && get_the_modified_time( 'U' ) !== get_the_time( 'U' ) ) {
        $seo_digital_marketing_date_to_display = get_the_modified_date( get_option( 'date_format' ) );
    } else {
        $seo_digital_marketing_date_to_display = get_the_date( get_option( 'date_format' ) );
    }

    // Output the date HTML

    echo esc_html( $seo_digital_marketing_date_to_display );
}

//media post format
function seo_digital_marketing_get_media($seo_digital_marketing_type = array()){
	$seo_digital_marketing_content = apply_filters( 'the_content', get_the_content() );
  	$output = false;

  // Only get media from the content if a playlist isn't present.
  if ( false === strpos( $seo_digital_marketing_content, 'wp-playlist-script' ) ) {
    $output = get_media_embedded_in_content( $seo_digital_marketing_content, $seo_digital_marketing_type );
    return $output;
  }
}

// front page template
function seo_digital_marketing_front_page_template( $template ) {
	return is_home() ? '' : $template;
}
add_filter( 'frontpage_template',  'seo_digital_marketing_front_page_template' );

// excerpt function
function seo_digital_marketing_custom_excerpt() {
    $seo_digital_marketing_excerpt = get_the_excerpt();
    $seo_digital_marketing_plain_text_excerpt = wp_strip_all_tags($seo_digital_marketing_excerpt);
    
    // Get dynamic word limit from theme mod
    $seo_digital_marketing_word_limit = esc_attr(get_theme_mod('seo_digital_marketing_post_excerpt', '30'));
    
    // Limit the number of words
    $seo_digital_marketing_limited_excerpt = implode(' ', array_slice(explode(' ', $seo_digital_marketing_plain_text_excerpt), 0, $seo_digital_marketing_word_limit));

    echo esc_html($seo_digital_marketing_limited_excerpt);
}

//typogtaphy
function seo_digital_marketing_fonts_scripts() {
	$seo_digital_marketing_headings_font = esc_html(get_theme_mod('seo_digital_marketing_headings_text'));
	$seo_digital_marketing_body_font = esc_html(get_theme_mod('seo_digital_marketing_body_text'));

	if( $seo_digital_marketing_headings_font ) {
		wp_enqueue_style( 'seo-digital-marketing-headings-fonts', '//fonts.googleapis.com/css?family='. $seo_digital_marketing_headings_font );
	} else {
		wp_enqueue_style( 'seo-digital-marketing-source-sans', '//fonts.googleapis.com/css?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900');
	}
	if( $seo_digital_marketing_body_font ) {
		wp_enqueue_style( 'seo-digital-marketing-body-fonts', '//fonts.googleapis.com/css?family='. $seo_digital_marketing_body_font );
	} else {
		wp_enqueue_style( 'seo-digital-marketing-source-body', '//fonts.googleapis.com/css?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900');
	}
}
add_action( 'wp_enqueue_scripts', 'seo_digital_marketing_fonts_scripts' );

// Footer Text
function seo_digital_marketing_copyright_link() {
    $seo_digital_marketing_footer_text = get_theme_mod('seo_digital_marketing_footer_text', esc_html__('Digital Marketing WordPress Theme', 'seo-digital-marketing'));
    $seo_digital_marketing_credit_link = esc_url('https://www.ovationthemes.com/products/free-seo-wordpress-theme');

    echo '<a href="' . $seo_digital_marketing_credit_link . '" target="_blank">' . esc_html($seo_digital_marketing_footer_text) . '<span class="footer-copyright">' . esc_html__(' By Ovation Themes', 'seo-digital-marketing') . '</span></a>';
}

// custom sanitizations
// dropdown
function seo_digital_marketing_sanitize_dropdown_pages( $page_id, $setting ) {
	$page_id = absint( $page_id );
	return ( 'publish' == get_post_status( $page_id ) ? $page_id : $setting->default );
}
// slider custom control
if ( ! function_exists( 'seo_digital_marketing_sanitize_integer' ) ) {
	function seo_digital_marketing_sanitize_integer( $input ) {
		return (int) $input;
	}
}
// range contol
function seo_digital_marketing_sanitize_number_absint( $number, $setting ) {

	// Ensure input is an absolute integer.
	$number = absint( $number );

	// Get the input attributes associated with the setting.
	$atts = $setting->manager->get_control( $setting->id )->input_attrs;

	// Get minimum number in the range.
	$min = ( isset( $atts['min'] ) ? $atts['min'] : $number );

	// Get maximum number in the range.
	$max = ( isset( $atts['max'] ) ? $atts['max'] : $number );

	// Get step.
	$step = ( isset( $atts['step'] ) ? $atts['step'] : 1 );

	// If the number is within the valid range, return it; otherwise, return the default
	return ( $min <= $number && $number <= $max && is_int( $number / $step ) ? $number : $setting->default );
}
// select post page
function seo_digital_marketing_sanitize_select( $input, $setting ){
    $input = sanitize_key($input);
    $choices = $setting->manager->get_control( $setting->id )->choices;
    return ( array_key_exists( $input, $choices ) ? $input : $setting->default );
}
// toggle switch
function seo_digital_marketing_callback_sanitize_switch( $value ) {
	// Switch values must be equal to 1 of off. Off is indicator and should not be translated.
	return ( ( isset( $value ) && $value == 1 ) ? 1 : 'off' );
}
//choices control
function seo_digital_marketing_sanitize_choices( $input, $setting ) {
    global $wp_customize;
    $control = $wp_customize->get_control( $setting->id );
    if ( array_key_exists( $input, $control->choices ) ) {
        return $input;
    } else {
        return $setting->default;
    }
}
// phone number
function seo_digital_marketing_sanitize_phone_number( $phone ) {
  return preg_replace( '/[^\d+]/', '', $phone );
}
// Sanitize Sortable control.
function seo_digital_marketing_sanitize_sortable( $val, $setting ) {
	if ( is_string( $val ) || is_numeric( $val ) ) {
		return array(
			esc_attr( $val ),
		);
	}
	$sanitized_value = array();
	foreach ( $val as $item ) {
		if ( isset( $setting->manager->get_control( $setting->id )->choices[ $item ] ) ) {
			$sanitized_value[] = esc_attr( $item );
		}
	}
	return $sanitized_value;
}

// widgets
function seo_digital_marketing_widgets_init() {
	register_sidebar( array(
		'name'          => __( 'Sidebar', 'seo-digital-marketing' ),
		'id'            => 'sidebar-1',
		'description'   => __( 'Add widgets here to appear in your sidebar on blog posts and archive pages.', 'seo-digital-marketing' ),
		'before_widget' => '<section id="%1$s" class="widget wow zoomIn %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<div class="widget_container"><h3 class="widget-title">',
		'after_title'   => '</h3></div>',
	) );

	register_sidebar( array(
		'name'          => __( 'Page Sidebar', 'seo-digital-marketing' ),
		'id'            => 'sidebar-2',
		'description'   => __( 'Add widgets here to appear in your pages and posts', 'seo-digital-marketing' ),
		'before_widget' => '<section id="%1$s" class="widget wow zoomIn %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<div class="widget_container"><h3 class="widget-title">',
		'after_title'   => '</h3></div>',
	) );

	register_sidebar( array(
		'name'          => __( 'Sidebar 3', 'seo-digital-marketing' ),
		'id'            => 'sidebar-3',
		'description'   => __( 'Add widgets here to appear in your sidebar on blog posts and archive pages.', 'seo-digital-marketing' ),
		'before_widget' => '<section id="%1$s" class="widget wow zoomIn %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<div class="widget_container"><h3 class="widget-title">',
		'after_title'   => '</h3></div>',
	) );

	register_sidebar( array(
		'name'          => __( 'Footer 1', 'seo-digital-marketing' ),
		'id'            => 'footer-1',
		'description'   => __( 'Add widgets here to appear in your footer.', 'seo-digital-marketing' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Footer 2', 'seo-digital-marketing' ),
		'id'            => 'footer-2',
		'description'   => __( 'Add widgets here to appear in your footer.', 'seo-digital-marketing' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Footer 3', 'seo-digital-marketing' ),
		'id'            => 'footer-3',
		'description'   => __( 'Add widgets here to appear in your footer.', 'seo-digital-marketing' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Footer 4', 'seo-digital-marketing' ),
		'id'            => 'footer-4',
		'description'   => __( 'Add widgets here to appear in your footer.', 'seo-digital-marketing' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );
}
add_action( 'widgets_init', 'seo_digital_marketing_widgets_init' );

//Enqueue scripts and styles.
function seo_digital_marketing_scripts() {

	require_once get_theme_file_path( 'inc/wptt-webfont-loader.php' );

	wp_enqueue_style(
		'roboto',
		wptt_get_webfont_url( 'https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap' ),
		array(),
		'1.0'
	);

	//Bootstarp
	wp_enqueue_style( 'seo-digital-marketing-bootstrap-style', get_template_directory_uri().'/assets/css/bootstrap.css' );

	// Theme stylesheet.
	wp_enqueue_style( 'seo-digital-marketing-style', get_stylesheet_uri() );

	// Rtl
	wp_style_add_data('seo-digital-marketing-style', 'rtl', 'replace');

	// Theme Customize CSS.
	require get_parent_theme_file_path( 'inc/extra_customization.php' );
	wp_add_inline_style( 'seo-digital-marketing-style',$seo_digital_marketing_custom_style );

	//font-awesome
	wp_enqueue_style( 'seo-digital-marketing-font-awesome-style', get_template_directory_uri().'/assets/css/fontawesome-all.css' );

	// Block Style
	wp_enqueue_style( 'seo-digital-marketing-block-style', esc_url( get_template_directory_uri() ).'/assets/css/blocks.css' );

	//Custom JS
	wp_enqueue_script( 'seo-digital-marketing-custom.js', get_theme_file_uri( '/assets/js/theme-script.js' ), array( 'jquery' ), true );

	//Nav Focus JS
	wp_enqueue_script( 'seo-digital-marketing-navigation-focus', get_theme_file_uri( '/assets/js/navigation-focus.js' ), array( 'jquery' ), true );

	//Bootstarp JS
	wp_enqueue_script( 'seo-digital-marketing-bootstrap-js', get_theme_file_uri( '/assets/js/bootstrap.js' ), array( 'jquery' ),true );

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}

	if (get_option('seo_digital_marketing_animation_enable', false) !== 'off') {
		//wow.js
		wp_enqueue_script( 'seo-digital-marketing-wow-js', get_theme_file_uri( '/assets/js/wow.js' ), array( 'jquery' ), true );

		//animate.css
		wp_enqueue_style( 'seo-digital-marketing-animate-css', get_template_directory_uri().'/assets/css/animate.css' );
	}
}
add_action( 'wp_enqueue_scripts', 'seo_digital_marketing_scripts' );

function seo_digital_marketing_block_editor_styles() {
	// Block styles.
	wp_enqueue_style( 'seo-digital-marketing-block-editor-style', trailingslashit( esc_url ( get_template_directory_uri() ) ) . '/assets/css/editor-blocks.css' );
}
add_action( 'enqueue_block_editor_assets', 'seo_digital_marketing_block_editor_styles' );

# Load scripts and styles.(fontawesome)
add_action( 'customize_controls_enqueue_scripts', 'seo_digital_marketing_customize_controls_register_scripts' );
function seo_digital_marketing_customize_controls_register_scripts() {
	
	wp_enqueue_style( 'seo-digital-marketing-ctypo-customize-controls-style', trailingslashit( esc_url(get_template_directory_uri()) ) . '/assets/css/customize-controls.css' );
}

// enque files
require get_parent_theme_file_path( '/inc/custom-header.php' );
require get_parent_theme_file_path( '/inc/template-tags.php' );
require get_parent_theme_file_path( '/inc/template-functions.php' );
require get_parent_theme_file_path( '/inc/customizer.php' );
require get_parent_theme_file_path( '/inc/typofont.php' );
require get_parent_theme_file_path( '/inc/breadcrumb.php' );
require get_parent_theme_file_path( 'inc/sortable/sortable_control.php' );